#! /usr/bin/perl 

#
#extract waveform information from the output of spice3 simulation
#
#Usage:
#  bmacextract.pl input output
#
#May 23, 2003
#Bo Hu, hubo@ee.washington.edu
#Mixed Signal CAD research, Univ. of Washington
#

if( $#ARGV <1 )
{ die "Usage:\n  bmacextract.pl input output\n";}

$input  = $ARGV[0];
$output = $ARGV[1];
undef @buffer;

open(FIN,$input) or die "cannot open input file $input\n";
open(FOUT,">$output") or die "cannot open output file $output\n";

print STDERR "Begin extracting waveform from $input\n";
print STDERR "Results will be wrote to $output\n";


$beginline = -1;
while(<FIN>)
{
  $line = $_;

  if($beginline > -1)
  {
     if($line =~ /^\d/) #starting with digit, must be the waveform line
     { chomp $line;push @buffer, $line; next;}

     if( $line =~ /^\n/)  #just white space " \t"
     { last;}
   }
     
  if($line =~ /^Index   time/)
  {
    $beginline = $linecount;
  }
}
      

close FIN;

for($ii = 0; $ii <= $#buffer; $ii++)
{
  $line = $buffer[$ii];
  if($line =~ /^\d/)
  {print FOUT "$line\n";}
}

close FOUT;





