#! /usr/bin/perl -w
#
# To update the config.newdev.gen[123] 
# if the information is already there, do nothing
# otherwise, update
#
# Usage:
# devconf.pl devname filedir
#
# July 9,2003
# Bo Hu   hubo@ee.washington.edu
# Electrical Engineering 
# The University of Washington
#

if( $#ARGV < 1 )
{ die "***input format error***\nUsage: \n     devconf.pl devicename filedir\nProgram exits\n";}

$dev = $ARGV[0];
$dir = $ARGV[1];
$gen1 = $dir . "/config.newdev.gen1";
$gen2 = $dir . "/config.newdev.gen2";
$gen3 = $dir . "/config.newdev.gen3";

$out1 = $dir . "/config.tmp.gen1";
$out2 = $dir . "/config.tmp.gen2";
$out3 = $dir . "/config.tmp.gen3";

open(FIN1,$gen1) or die "cannot open file $gen1\n";
open(FIN2,$gen2) or die "cannot open file $gen2\n";
open(FIN3,$gen3) or die "cannot open file $gen3\n";

open(FOUT1,">$out1") or die "cannot write file $out1\n";
open(FOUT2,">$out2") or die "cannot write file $out2\n";
open(FOUT3,">$out3") or die "cannot write file $out3\n";

$updated = 0; #if file already updated, $updated will be 1;
#update config.newdev.gen1
while(<FIN1>)
{
  chomp;
  $line = $_;
  if($line =~ /\#include\s+\"($dev)itf\.[hH]\"/)
  {
    print STDERR "device $dev already updated in file $gen1\n";
    close FIN1; close FOUT1; unlink $out1; 
    $updated = 1;
    last;
  }
  print FOUT1 "$line\n";
}
if($updated == 0)
{
  print FOUT1 "\#include \"" . $dev . "itf.h\"\n";
  close FIN1; close FOUT1; unlink $gen1;
  rename $out1, $gen1;
}

$updated = 0;

#update config.newdev.gen2
while(<FIN2>)
{
  chomp;
  $line = $_;
  if($line =~ /\#include\s+\"($dev)\/($dev)itf\.[hH]\"/)
  {
    print STDERR "device $dev already updated in file $gen2\n";
    close FIN2; close FOUT2; unlink $out2;
    $updated = 1;
    last;
  }
  print FOUT2 "$line\n";
}
if($updated == 0)
{
  print FOUT2 "\#include " . "\"$dev" ."\/$dev" . "itf.h\"\n";
  close FIN2; close FOUT2; unlink $gen2;
  rename $out2, $gen2;
}

$updated = 0;

#update config.newdev.gen3
while(<FIN3>)
{
  chomp;
  $line = $_;
  if($line =~ /\#ifdef\s+DEV_$dev/)
  {
    print STDERR "device $dev already updated in file $gen3\n";
    close FIN2; close FOUT2; unlink $out2;
    $updated = 1;
    last;
  }
  print FOUT3 "$line\n";
}
if($updated == 0)
{
  print FOUT3 "\#ifdef " . "DEV_$dev\n";
  print FOUT3 "\t\t\&" . uc($dev) . "info,\n";
  print FOUT3 "\#endif\n";
  close FIN3; close FOUT3; unlink $gen3;
  rename $out3, $gen3;
}

print STDERR "Done.\n"






