package electrical_system is
	nature electrical is real across real through;
	terminal ground : electrical;
end electrical_system;

use electrical_system.all;

package thermal_system is
	nature thermal is real across real through;
	terminal thermal_ground : thermal;
end thermal_system;

use thermal_system.all;

entity hotmos is
	generic ( n : real := 1.0;	-- belta
		  vthres: real :=0.5);	-- threshold voltage
	port ( terminal drn, gat, src : electrical;
		terminal t1, t2 : thermal
 );
end hotmos;

architecture arch1 of hotmos is
	quantity vgs across gat to src;
	quantity vds across drn to src;
	quantity ids_d through drn;
	quantity ids_s through src;
	quantity temperature across power_out through t1 to t2;
begin
  MOSequations: procedural is
	variable idstmp : real;
  begin -- procedural statements

	IF vds > 0 THEN			-- forward
	   IF vgs <= vthres THEN	-- cut off
		idstmp := 0.0;
	   ELSE
		IF vgs-vthres <= vds THEN	-- saturation
		   idstmp := n * (((vgs - vthres)**2.0) / 2.0);
	   	ELSE					-- triode
		   idstmp1 := n * ((vgs - vthres)*vds - ((vds**2.0)/2.0));
		   idstmp := idstmp1;
		END IF;
	   END IF;
	ELSE idstmp := 0.0;
	END IF;
	ids1 := idstmp;
	ids_d := ids1;
	ids_s := -ids_d;
        power_out := ids_s * vds;

  end procedural;
end architecture arch1;
